<?xml version="1.0" encoding="UTF-8"?>
<section version="5.0" xml:id="services.jaxws.config" xml:lang="en"
         xmlns="http://docbook.org/ns/docbook"
         xmlns:xlink="http://www.w3.org/1999/xlink"
         xmlns:xi="http://www.w3.org/2001/XInclude"
         xmlns:svg="http://www.w3.org/2000/svg"
         xmlns:mml="http://www.w3.org/1998/Math/MathML"
         xmlns:html="http://www.w3.org/1999/xhtml"
         xmlns:db="http://docbook.org/ns/docbook">
  <info>
    <title>jaxws service configuration</title>
  </info>

  <para>The <emphasis role="bold">jaxws</emphasis> service provides a JAX-WS
  2.0 support for applications using Java EE 5 style webservices.</para>

  <para>It is required to declare it if the configured JOnAS instance have to
  deploy Java EE application or modules that contains
  <classname>@WebService</classname> annotated classes (for the service
  endpoints) or if they contains <classname>@WebServiceRef </classname>/
  <classname>@WebServiceRefs</classname> (for client side usage of a
  webservice).</para>

  <para><note>
      <para>If this service is not activated and deployed applications are
      using JAX-WS 2.0 APIs, <classname>@WebService</classname> annotated POJO
      or EJB 3.0 will not be exposed as webservices and
      <classname>@WebServiceRef</classname> fields/methods will not be
      injected (may conduct to
      <classname>NullPointerException</classname>s).</para>
    </note></para>

  <para>Here is the part of <filename>jonas.properties</filename> concerning
  the <emphasis role="bold">jaxws</emphasis> service:</para>

  <screen>###################### JOnAS JAX-WS 2.x service configuration
#
#  Set the name of the implementation class of the jaxws service
jonas.service.jaxws.class    org.ow2.jonas.ws.cxf.CXFService
</screen>
</section>
